Today's Hours:

Today:
10:00am - 8:00pm

The Sandwich Public Library District Board of Trustees is seeking applicants to fill a vacated seat on the Library Board. The appointee will serve the remainder of the vacated term set to expire in spring, 2025. Interested candidates are encouraged to review the following information and apply if interested.

What to Expect

The Appointee:
We are seeking a Trustee candidate who will enthusiastically assist with policy development, financial management, local partnerships, and advocacy efforts.

Meeting Schedule:
2nd Tuesday of each month 6:30PM-8PM (ending time varies).

Committees:
Each trustee is assigned to participate on two committees. Meetings are infrequent, but important.

Appointment timeline:
Current Trustees will select applicants for interviews. Once selected, the new Appointee will begin serving immediately upon appointment. Appointee’s term will end in spring, 2025.

This is a great opportunity to serve the community and experience the role of an elected official. There will be multiple seats on the ballot in the spring 2025 consolidated election. The Appointee may run for one of these seats if interested, but is not required to do so.

Requirements:
• Must be a resident of Sandwich Public Library District for a minimum of one year.
• Prepare for and attend monthly Board meeting held on second Tuesday of month at 6:30 pm.
• Serve on 1-2 committees which meet periodically throughout the year.

Library’s Mission:
The mission of the Sandwich Library District is to engage the community by stimulating curiosity and enhancing knowledge.

eNewsletter logo

Subscribe to our e-newsletter for news & info. Opt in or out at any time.

PrairieCat Logo

Download the Prairecat App and login with your library card to take your library on the go!

qr code

We warmly welcome charitable donations of any amount. Thank you!

Sandwich Public Library District

925 South Main Street, Sandwich, Illinois 60548
Phone: 815-786-8308  |  Fax: 815-786-9231

Sorry, this website uses features that your browser doesn’t support. Upgrade to a newer version of Firefox, Chrome, Safari, or Edge and you’ll be all set.